# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CatmullRomInterpolatorDVec2 Class Reference

Interpolates vl::dvec2 values using a CatmullRomInterpolator. More...

`#include <CatmullRomInterpolator.hpp>`

Inheritance diagram for vl::CatmullRomInterpolatorDVec2:

List of all members.

## Public Member Functions
| CatmullRomInterpolatorDVec2 ()
| CatmullRomInterpolatorDVec2 (const std::vector< vl::dvec2 > &path)
vl::dvec2 | computePoint (float t) const
| Samples the interpolator at the given point.
CatmullRomInterpolatorDVec2_T * | interpolator ()
const CatmullRomInterpolatorDVec2_T * | interpolator () const
void | setInterpolator (CatmullRomInterpolatorDVec2_T *interpolator)
## Protected Attributes
vl::ref < CatmullRomInterpolatorDVec2_T > | mInterpolator

## Detailed Description

Interpolates vl::dvec2 values using a CatmullRomInterpolator.

## Constructor & Destructor Documentation

vl::CatmullRomInterpolatorDVec2::CatmullRomInterpolatorDVec2 | ( |  | ) | `[inline]`

vl::CatmullRomInterpolatorDVec2::CatmullRomInterpolatorDVec2 | ( | const std::vector< vl::dvec2 > & | path | ) | `[inline]`

## Member Function Documentation

vl::dvec2 vl::CatmullRomInterpolatorDVec2::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorDVec2.

CatmullRomInterpolatorDVec2_T* vl::CatmullRomInterpolatorDVec2::interpolator | ( |  | ) | `[inline]`

const CatmullRomInterpolatorDVec2_T* vl::CatmullRomInterpolatorDVec2::interpolator | ( |  | ) | const`[inline]`

void vl::CatmullRomInterpolatorDVec2::setInterpolator | ( | CatmullRomInterpolatorDVec2_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<CatmullRomInterpolatorDVec2_T> vl::CatmullRomInterpolatorDVec2::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CatmullRomInterpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.